"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var node_1 = require("../node");
function toDot(node) {
    var els = [];
    function f(node) {
        var id = node_1.getNodeId(node);
        if (!els.find(function (e) { return e.id === id; })) {
            els.push({ id: id, nodes: [node], text: id + " [fontsize=11, label=\"" + node.type + "\", width=.8];" });
        }
        node.children.forEach(function (c) {
            var cid = node_1.getNodeId(c);
            if (!els.find(function (c) { return c.id === cid; })) {
                els.push({ id: cid, nodes: [c], text: cid + " [fontsize=11, label=\"" + c.type + "\", width=.8];" });
            }
            els.push({ id: id + " -> " + cid, nodes: [node, c], text: id + " -> " + cid + " [fontsize=11, arrowsize=.9, arrowhead=normal];" });
            f(c);
        });
    }
    f(node);
    // digraph ATN {
    //   rankdir=LR;
    //   s149[fontsize=11, label="149", shape=doublecircle, fixedsize=true, width=.6];
    //   s1155[fontsize=11,label="1155", shape=circle, fixedsize=true, width=.55, peripheries=1];
    //   s148 -> s1157 [fontname="Times-Italic", label="&epsilon;"];
    //   s1156 -> s1158 [fontsize=11, fontname="Courier", arrowsize=.7, label = "<declaration>", arrowhead = normal];
    //   }
    var dot = ("\ndigraph ATN {\n  rankdir=LR;\n  " + els.map(function (e) { return e.text; }).join('\n  ') + "\n}").trim();
    return dot;
}
exports.toDot = toDot;
//# sourceMappingURL=toDot.js.map